Package org.jacoco.report.internal.html.index

## Interface IIndexUpdate

All Known Implementing Classes:
  `ElementIndex`

    public interface IIndexUpdate

Every report page that should become part of the index must be added via this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addClass​(ILinkable link, long classid)` Adds a class to the index.

### Method Detail

#### addClass

    void addClass​(ILinkable link,
                  long classid)

Adds a class to the index.

Parameters:
  `link` - link to the class
  `classid` - identifier of the class